import React from 'react';
import { ApplicationHeader }  from '../../index';
import {
    CalendarIcon,
    LocationMarkerIcon,
    TruckIcon,
    SupportIcon,
    OfficeBuildingIcon,
    CollectionIcon
  } from '@heroicons/react/outline'

export default {
  title: 'Otto/Application Header',
  component: ApplicationHeader,
};

const Template = (args) => <ApplicationHeader {...args} />;
const user = {
  name: 'Tom Cook',
  email: 'tom@example.com',
  imageUrl:
    'https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80',
}

// Customer Navigation
const navigation = [
    { name: 'Book Now', href: '#', icon: LocationMarkerIcon, current: false},
    { name: 'My Trips', href: '#', icon: TruckIcon, current: true },
  ]
  
  const miscellaneousNavigation = [
    { name: 'Support', href: '#', icon: SupportIcon, current: false },
  ]
  
  // Partner Navigation
  const navigationPartner = [
      { name: 'My Bookings', href: '#', icon: CalendarIcon, current: false },
      { name: 'My Fleet', href: '#', icon: TruckIcon, current: true },
      { name: 'Manage', href: '#', icon: OfficeBuildingIcon, current: false },
    ]
  
  const miscellaneousPartner = [
      { name: 'Get Insurance', href: '#', icon: CollectionIcon, current: false },
      { name: 'Support', href: '#', icon: SupportIcon, current: false },
    ]
  
    //Common User Navigation
  const userProfileNavigation = [
    { name: 'Your Profile', href: '#' },
    { name: 'Sign out', href: '#' },
  ]

export const UserLoggedIn = Template.bind({});
UserLoggedIn.args = {
  user,
  navigation,
  miscellaneousNavigation,
  userProfileNavigation
};

export const PartnerLoggedIn = Template.bind({});
PartnerLoggedIn.args = {
  user,
  navigation: navigationPartner,
  miscellaneousNavigation: miscellaneousPartner,
  userProfileNavigation
};
